<template>
	<section class="container" id="virtual">
		<h1>Niektoré z naších učební</h1>
		<section class="cards">
			<room-card v-for="room of vue.$store.state.rooms" :key="room" :room="room" />
		</section>
	</section>
</template>

<script>
import { inject, reactive, toRefs } from 'vue'
import RoomCard from '@/components/RoomCard'

export default {
	components: {
		RoomCard,
	},
	setup() {
		const state = reactive({
			vue: inject('vue'),
		})

		return {
			...toRefs(state),
		}
	},
}
</script>

<style lang="scss" scoped>
@import '@/assets/scss/vars.scss';

.container {
	display: grid;
	grid-gap: 1.5rem;

	h1 {
		text-align: center;
		color: $color01;
		font-weight: 700;
	}
	.cards {
		padding: 0 10vmin;
		display: grid;
		grid-template-columns: repeat(1, 1fr);
		justify-content: center;
		align-content: center;
		grid-gap: 2vmin;
		transition: 0.5s;

		@media (min-width: 800px) {
			grid-template-columns: repeat(2, 1fr);
		}

		@media (min-width: 1000px) {
			grid-template-columns: repeat(3, 1fr);
		}
	}
}
</style>
